cwlVersion: v1.2
class: ExpressionTool
label: Collect files in a directory
doc: |
  Takes Files (e.g. from a workflow step) and yields them in a desired directory.
requirements:
  - class: InlineJavascriptRequirement
inputs:
  files: File[]
  destination: string
expression: |
  ${
    return {"outDir": {
      "class": "Directory", 
      "basename": inputs.destination,
      "listing": inputs.files
    } };
  }
outputs:
  outDir: Directory