#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

# hints:
#   DockerRequirement: 
#     dockerPull: 

requirements:
  - class: InitialWorkDirRequirement
    listing:
      - entryname: shiny-app.R
        entry:
          $include: shiny-app.R
  - class: NetworkAccess
    networkAccess: true

baseCommand: [Rscript, shiny-app.R]

inputs:
  in_kallisto_df:
    type: File
    inputBinding:
      position: 1
  exp_factor:
    type: string
    inputBinding:
      position: 2

outputs: []